<?php

namespace app\controllers\mikrotik\ip\upnp;

require_once 'PEAR2_Net_RouterOS-1.0.0b5.phar';

use Yii;
use yii\helpers\Url;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\data\ArrayDataProvider;
use app\models\mikrotik\MikrotikSideMenu;
use app\models\mikrotik\Interfaces;
use app\models\mikrotik\ip\upnp\Upnp;

class UpnpController extends Controller {

    public function behaviors() {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'except' => ['index'],
                'rules' => [
                    [
                       
                        'actions' => ['index'], 
                        'allow' => true, 
                        'roles' => ['mikrotik_ipUpdateUPnP'], 
                    ],
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['admin'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    public function actions() {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    public function actionIndex() {
        $menu = new MikrotikSideMenu();
        $model = new Upnp();
        
        if ($model->load(Yii::$app->request->post()) && $model->validate()) {

            $model->update();
            return $this->redirect(Url::toRoute('mikrotik/ip/upnp/upnp/index'));
        }
        $model->getAll();

        return $this->render('/mikrotik/ip/upnp/index', [
                    'menu' => $menu->getMenu(),
                    'model' => $model,
        ]);
    }

}
